#
# spec file for package python-pytest-datadir
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pytest-datadir
Version:        1.6.1
Release:        1.1
Summary:        Plugin for test data directories and files
License:        MIT
URL:            https://github.com/gabrielcnr/pytest-datadir
Source:         https://files.pythonhosted.org/packages/source/p/pytest-datadir/pytest_datadir-%{version}.tar.gz
BuildRequires:  %{python_module base >= 3.8}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytest >= 7.0
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module coverage}
BuildRequires:  %{python_module pytest >= 7.0}
# /SECTION
%python_subpackages

%description
pytest plugin for test data directories and files.

%prep
%setup -q -n pytest_datadir-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc AUTHORS CHANGELOG.rst README.md
%license LICENSE
%{python_sitelib}/pytest_datadir
%{python_sitelib}/pytest_datadir-%{version}.dist-info

%changelog
* Mon May  5 2025 Steve Kowalik <steven.kowalik@suse.com>
- Update to 1.6.1:
  * pytest 7.0+ is now required.
  * Fixed compatibility with pytest-describe.
  * original_datadir fixture is now module-scoped.
- Switch to pyproject macros.
* Tue Nov  7 2023 Dirk Müller <dmueller@suse.com>
- update to 1.5.0:
  * Added support for Python 3.11 and 3.12.
  * Dropped support for Python 3.7.
* Thu May  4 2023 Dirk Müller <dmueller@suse.com>
- update to 1.4.1:
  * Replace usage of ``tmpdir`` by ``tmp_path``
  * Fix package so the ``LICENSE`` file is no longer in the root
    of the package.
  * Python 3.9 and 3.10 are now officially supported.
  * Python 2.7, 3.4 and 3.5 are no longer supported.
* Wed Dec  8 2021 pgajdos@suse.com
- do not require pytest-runner for build, it is not needed
* Tue Nov  5 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.3.1:
  * Add python_requires to setup.py so pip will not try to install
    pytest-datadir in incompatible Python versions.
* Thu Mar 21 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.3.0
